name: aman_kassa_flutter
description: A new Flutter project.
version: 1.2.3+36
environment:
    sdk: '>=2.3.0 <4.0.0'
dependencies:
    flutter:
        sdk: flutter
    cupertino_icons: ^0.1.3
    redux: ^4.0.0+3
    flutter_redux: ^0.7.0
    redux_thunk: ^0.3.0
    redux_persist: ^0.8.4
    redux_persist_flutter: ^0.8.3
    responsive_builder: ^0.3.0
    provider: ^4.3.2+4
    logger: ^0.9.4
    get_it: ^5.0.4
    equatable: ^1.2.5
    http: ^0.12.2
    sqflite: ^1.3.2+2
    path_provider: ^1.6.27
    google_fonts: ^1.1.1
    material_design_icons_flutter: ^4.0.5855
    intl: ^0.16.1
#    barcode_scan: ^3.0.1
    barcode_scan2: ^4.0.0
    device_info: ^1.0.0
    esys_flutter_share: ^1.0.2
    auto_size_text: ^2.1.0
    url_launcher: ^5.7.10
    qr_flutter: ^3.2.0
    mask_text_input_formatter: ^1.2.1
    flutter_screenutil: ^4.0.2+5
    shared_preferences: ^0.5.12+4
    flutter_lock_screen: ^1.0.8
    local_auth: ^0.6.3+4
    esc_pos_bluetooth: ^0.2.8
    esc_pos_utils: ^0.3.6 # no edit for esc_pos_bluetooth: ^0.2.8
    charset_converter: ^1.0.3
    crypto: ^2.1.5
    permission_handler: ^5.0.1+2
dev_dependencies:
    flutter_test:
        sdk: flutter
flutter:
    uses-material-design: true


  # To add assets to your application, add an assets section, like this:
    assets:
    - assets/images/
    - assets/lang/en.json
    - assets/lang/ru.json
    - assets/google_fonts/
      
  # An image asset can refer to one or more resolution-specific "variants", see
  # https://flutter.dev/assets-and-images/#resolution-aware.
      
  # For details regarding adding assets from package dependencies, see
  # https://flutter.dev/assets-and-images/#from-packages
      
  # To add custom fonts to your application, add a fonts section here,
  # in this "flutter" section. Each entry in this list should have a
  # "family" key with the font family name, and a "fonts" key with a
  # list giving the asset and other descriptors for the font. For
  # example:
  # fonts:
  #   - family: Schyler
  #     fonts:
  #       - asset: fonts/Schyler-Regular.ttf
  #       - asset: fonts/Schyler-Italic.ttf
  #         style: italic
  #   - family: Trajan Pro
  #     fonts:
  #       - asset: fonts/TrajanPro.ttf
  #       - asset: fonts/TrajanPro_Bold.ttf
  #         weight: 700
  #
  # For details regarding fonts from package dependencies,
  # see https://flutter.dev/custom-fonts/#from-packages